Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
Public Member Functions
kPeriodic Class Reference
kApi/Threads

## Description

Provides a periodic function call.

Inheritance diagram for kPeriodic:

## Public Member Functions
kStatus | kPeriodic_Construct (kPeriodic *timer, kAlloc allocator)
| Constructs a kPeriodic object. More...
kStatus | kPeriodic_ConstructEx (kPeriodic *timer, kSize stackSize, const kChar *name, k32s priority, kAlloc allocator)
| Constructs a kPeriodic object with additional options. More...
kBool | kPeriodic_Enabled (kPeriodic timer)
| Reports whether periodic timer callbacks are currently enabled. More...
kStatus | kPeriodic_Start (kPeriodic timer, k64u period, kPeriodicElapsedFx onElapsed, kPointer context)
| Starts callbacks at the specified period. More...
kStatus | kPeriodic_Stop (kPeriodic timer)
| Stops timer callbacks. More...
Public Member Functions inherited from kObject
kAlloc | kObject_Alloc (kObject object)
| Gets the memory allocator associated with this object. More...
kStatus | kObject_Clone (kObject *object, kObject source, kAlloc allocator)
| Constructs a new object by copying an existing object, including any aggregated child elements. More...
kStatus | kObject_Destroy (kObject object)
| Destroys the object. More...
kStatus | kObject_Dispose (kObject object)
| Destroys the object and any aggregated child elements. More...
kBool | kObject_Equals (kObject object, kObject other)
| Determines whether the object is equal to another object. More...
kSize | kObject_HashCode (kObject object)
| Gets a hash code representing the state of this object. More...
kBool | kObject_Is (kObject object, kType type)
| Determines whether this object is an instance of the specified type. More...
kBool | kObject_IsShared (kObject object)
| Reports whether the object is currently shared (reference count greater than one). More...
kStatus | kObject_SetPool (kObject object, kObjectPool pool)
| Sets the object pool associated with this object. More...
kStatus | kObject_Share (kObject object)
| Increments the reference count associated with this object. More...
kSize | kObject_Size (kObject object)
| Estimates the memory consumed by this object, including any aggregated child elements. More...
kType | kObject_Type (kObject object)
| Returns the type of the object. More...

## Additional Inherited Members
Related inherited from kObject
#define | kObject_Type_(OBJ) kxObject_Type_(OBJ)
| Macro version of kObject_Type.
#define | kObject_Is_(OBJ, TYPE) kxObject_Is_(OBJ, TYPE)
| Macro version of kObject_Is.
#define | kObject_Alloc_(OBJ) kxObject_Allocator_(OBJ)
| Macro version of kObject_Alloc.

The documentation for this class was generated from the following file:

- Threads/kPeriodic.h